package net.wicp.tams.duckula.ops.pages.devops;

import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.util.TextStreamResponse;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import net.wicp.tams.app.duckula.controller.bean.models.DevopsFlink;
import net.wicp.tams.app.duckula.controller.dao.DevopsFlinkMapper;
import net.wicp.tams.common.Result;
import net.wicp.tams.component.tools.TapestryAssist;
import net.wicp.tams.duckula.ops.pages.ParentPageBean;

public class FlinkConfig extends ParentPageBean<DevopsFlink> {

	@Inject
	private DevopsFlinkMapper devopsFlinkMapper;

	@Override
	public void doSave(DevopsFlink t, boolean isInsert) {
		if (isInsert) {
			devopsFlinkMapper.insert(t);
		} else {
			devopsFlinkMapper.updateByPrimaryKeySelective(t);
		}
	}

	@Override
	public void doDel(String id) {
		this.devopsFlinkMapper.deleteById(id);
	}

	@Override
	public BaseMapper<DevopsFlink> getBaseMapper() {
		return this.devopsFlinkMapper;
	}

	@Override
	public void packageQuery(DevopsFlink t, QueryWrapper<DevopsFlink> queryWrapper) {
		// TODO Auto-generated method stub
	}

	/***
	 * 测试用后端调用
	 * 
	 * @return
	 */
	public TextStreamResponse onDemo() {
		return TapestryAssist.getTextStreamResponse(Result.getError("执行任务失败，原因：demo"));
	}

}
